%define name	kinterbasdb
%define version	3.3.0
%define release	%mkrel 2
%define python_compile_opt python -O -c "import compileall; compileall.compile_dir('.')"
%define python_compile     python -c "import compileall; compileall.compile_dir('.')"

Summary:	A Python DB-API 2.0 compliant interface to Firebird
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	BSD-like
Group:		Databases
Source0:	%{name}-%{version}.tar.bz2
Patch0:		kinterbasdb-3.3.0-link-m.patch
Patch1:		kinterbasdb_service.patch
Group:		Development/Python
BuildRoot:	%{_tmppath}/%{name}-buildroot
URL:		http://www.firebirdsql.org/
%py_requires -d
BuildRequires:	firebird-devel

%description
KInterbasDB is a Python extension package that implements Python Database API
2.0-compliant support for the open source relational database Firebird and some
versions of its proprietary cousin Borland Interbase.
In addition to the minimal feature set of the standard Python DB API,
KInterbasDB also exposes nearly the entire native client API of the database
engine.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0 
%patch1  

%build
CFLAGS="%{optflags}" /usr/bin/python setup.py build 

%install
rm -rf %{buildroot}
%_bindir/python setup.py install --root=%{buildroot}
dir -d %{buildroot}%{py_platsitedir}/%{name}
%python_compile_opt
%python_compile
install *.pyc *.pyo %{buildroot}%{py_platsitedir}/%{name}
rm -rf %{buildroot}%{py_platsitedir}/%{name}/docs
cd %{buildroot}%{python_sitearch}
%_bindir/python -c "import kinterbasdb"

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README PKG-INFO
%doc docs
%{py_platsitedir}/%{name}/*.py
%{py_platsitedir}/%{name}/*.pyo
%{py_platsitedir}/%{name}/*.pyc
%{py_platsitedir}/%{name}/*.so
%{py_platsitedir}/%{name}-%{version}-py*.egg-info






%changelog

* Sat Jan 12 2013 umeabot <umeabot> 3.3.0-2.mga3
+ Revision: 356223
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 11 2012 philippem <philippem> 3.3.0-1.mga3
+ Revision: 329791
+ rebuild (emptylog)

* Fri Jan 21 2011 philippem <philippem> 3.3.0-0.mga1
+ Revision: 29375
- fix linkage
- remove dependency to mx base and cleaning
- imported package kinterbasdb

